#include <bits/stdc++.h>
#define CONST 1000000

using namespace std;

long long a[CONST];
bool b[CONST]={true};

ifstream fi ("demnt.inp");
ofstream fo ("demnt.out");

int soNguyenTo(int soA)
{
    if (soA < 2)
        return 0;

    for (int i = 2; i <= sqrt((float)soA); i ++)
    {
        if (soA%i==0)
        {
            return 0;
        }
    }
    return 1;
}

int main(){

   int n;
   fi>>n;
   int a[n],num=0,i;
   for (i=0;i<n;i++){fi>>a[i];
      if (soNguyenTo(a[i])==true){num++;}
   }
   fo<<num;
}
